# &adminguide;

## Overview

CDP AVP is a helper module for various applications ontop of CDP (C Diameter Peer). CDP AVP module adds support for the following applications:

- Various base AVPs (implemented in base.h) for RFC3588 base AVPs

- Base AVPs (implemented in nasapp.h) for RFC4005 base AVPs

- Diameter Credit Control App (implemented in ccap.h) for RFC4006 AVPs

- EPC (implemented in epcapp.h) for 3GPP Rx, Gx(x) interface AVPs - see TS29l061, TS29.212, TS29.214, TS29.272 and TS29.299

- IMS (implemented in imsapp.h) for 3GPP IMS AVPs, Cx, Dx, Sh interfaces - see TS29.229 and TS29.329

## How it works

CDP AVP is a lightweight helper module that doesn't really do much other than offer a set of AVP facilitating functions for various application uses. CDP AVP module is used in conjunction with CDP module.

## Dependencies

### &kamailio; Modules

The following modules must be loaded before this module:

- CDP.

### External Libraries or Applications

The following libraries or applications must be installed before running &kamailio; with this module loaded:

- None.

## Parameters

None

## Functions

No functions available from configuration. See API for internal functions.